## blok 0.1

=== CMakeLists.txt ===
project(maemoblok)

cmake_minimum_required(VERSION 2.4.0)
find_package(Qt4 REQUIRED)


INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR})
ADD_DEFINITIONS( ${QT_DEFINITIONS} )


set(maemoblok_SRCS
    main.cpp)
 
add_executable(qtproject ${maemoblok_SRCS})

target_link_libraries(qtproject ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

add_subdirectory(Box2D)

=== Box2D/CMakeLists.txt ===
project(kglengine)
add_subdirectory(Source)

=== Box2D/Source/CMakeLists.txt ===
set(SOURCES
./Common/b2StackAllocator.cpp
./Common/b2BlockAllocator.cpp
./Common/b2Settings.cpp
./Common/b2Math.cpp
./Collision/b2CollidePoly.cpp
./Collision/b2PairManager.cpp
./Collision/b2BroadPhase.cpp
./Collision/b2CollideCircle.cpp
./Collision/b2TimeOfImpact.cpp
./Collision/b2Distance.cpp
./Collision/Shapes/b2CircleShape.cpp
./Collision/Shapes/b2Shape.cpp
./Collision/Shapes/b2PolygonShape.cpp
./Collision/b2Collision.cpp
./Dynamics/Contacts/b2PolyContact.cpp
./Dynamics/Contacts/b2CircleContact.cpp
./Dynamics/Contacts/b2ContactSolver.cpp
./Dynamics/Contacts/b2PolyAndCircleContact.cpp
./Dynamics/Contacts/b2Contact.cpp
./Dynamics/b2Body.cpp
./Dynamics/Joints/b2Joint.cpp
./Dynamics/Joints/b2DistanceJoint.cpp
./Dynamics/Joints/b2RevoluteJoint.cpp
./Dynamics/Joints/b2PulleyJoint.cpp
./Dynamics/Joints/b2MouseJoint.cpp
./Dynamics/Joints/b2PrismaticJoint.cpp
./Dynamics/Joints/b2GearJoint.cpp
./Dynamics/b2Island.cpp
./Dynamics/b2ContactManager.cpp
./Dynamics/b2World.cpp
./Dynamics/b2WorldCallbacks.cpp
)

add_library( Box2D STATIC ${SOURCES} )

if( CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64" )
set_target_properties(Box2D PROPERTIES COMPILE_FLAGS "-fPIC")
endif( CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64" )

=== debian/changelog ===
blok (0.1) unstable; urgency=low

  * Initial release

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Fri, 06 Aug 2010 13:48:04 +0200

=== debian/control ===
Source: blok
Section: user/games
Priority: extra
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3

Package: blok
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 2D physics games engine preview based on QGraphicsView and box2d
XB-Maemo-Display-name: Blok
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
 SU1FB9oIAhEGMIhvSM4AABRjSURBVHja7VtpkFzVdf7uW3rvnn1GoxktowUN
 yEJoAYmwWoIgwNhhESZekthxqqgEjJ3YLookZcWOcQhJmfIWx4nj2LERmBiw
 LYtdSEAhJEASEotAy0hopBmNZuv9Lfeekx/3TS8zPSOJ2I5d0at66uX1vH7f
 d8/5znfOawFntjPbme3MdmY7s53ZzmxntjPb/8tN/Lq/gJlF8D3G2L5//7bQ
 iZ1PJwf6j9dJ6YjpnbNGW2Yuzc5bcbULgIKdhRD0O0lAANoAYO587Pt1b+15
 9hLI/BXCUCsVidmkkDJNU5kWJDOz70pb+tKE8LOmoB5P0VaS4vHGhqbnbr7z
 ofTvDAEBcHP/tsdiLz37g+sMeLcSG+dPa6/3OmfWxRsaY0YyFUYkakCAAFYA
 +WB2AeWgkMsjPVzA4ECODvbks/39Ttg05Laiw98yRPrnn/7Gfve3koAx4Fuf
 +F5q3ysbbzVAn2ud3hg6a+G0eOeMZpihOCDsICgEwBIgDwiAgwoAFcCyAFAe
 UHlAFSD9Ag7sd7DnTT8zMMjEhLvdsPz25/9pd/63hgBmNgDY999zy4eV79w3
 c257ZPGymdG65hbAiEOIKCAsAAywDyYPoDJoqAJARbAqBq+DR1kEqBgQJTE4
 qLBtB+ffPQpPKbrtjm/uuv//nABmNjf/+O/aew/vvD+ZSi2/aNX8aFN7B2DU
 Qxhjq04Ae2Aq6JWlXGmVC7kMlF9ENCxhCg8gVwMe29kDSAEkwawAJvT3E555
 AblcUezOu9aNX/j2y/2/cQLGQn79P37k/corPLhoeVdi0bL5tgi1QJj1gIgA
 ggFywJQHKAPINEBZ9PcO4OUXD+KdvQMIhQhhm+G6HiJhYPHiOixdkoQpFKB8
 rRHBzqQJACuQUnh5l+HvfMPM+cq44bPffGXzb4yAALz143tuXiuY/n3V1WdH
 22Z0QVgtgJnS4c4+QFkwpQE1Aqg0oLLY8tRb2PL0fqz8vVZcsLIZ9XWmXl1S
 KOZd7NgxiLfeyuCGD7WhscHUgGmMBApIUKX3e/uAX24O5ZXEn336GzvXvxcC
 zPcC/v67b/6EaYlvX3P9omjT9LkQ9jTArAOEACgHVkOAOg7IAUANATSK7S+8
 g42P7MbNH52HCy9qQyQiNBBd8mFbAjNnRHHW/AR+vqEf8+bEELJFoB2sH/VF
 lJ6n4oQ5M/zQvkP2mjXLO0Y2bu975dcaAcxsrf+HD3/IMPkH197wvni8oQvC
 bgWMGAAJVmmAhgE1DHBGixg7IOniK3/9NDo6kvjkrYsBVtj39jBefK4XjiMx
 b34Kl1zSAttkgBXSaQ9btw5izRWNpbAHqZIOlKNCAUTI5hgPboznXMkfu+Pr
 u352OpiM0xG8n37t1vOIvB9edd2CeLx+BoTVBIhwUMKOA34vIHsBdULnPTsA
 FIaGCshlXMya2wAIgUzWx/e/uwe5nA/XUXjy8V489JNDOoIgUJeyEI2Y8OXJ
 1ku/TsYJN12VSdgmfvS1v1i29FdOADOL7Y98q76YO/rIqjVzo3VNHRBWo1Z5
 yoFlH+AfAeSxYPVzWgeEDlXL1Beay2gfY1kG4nEb136wC7d9ZhGamsPY/doI
 clm/BKyrK4bhEa8MVFSAF6JMhtD/1CcZ116STYRs+sXXb1+R+lVHgLVv7xNf
 O2dxe8u0jukCleD9PsA7Csh+QI0GtVuWxQqMhqYYpnUksGP7MZwYKCAWs3Dn
 F1di1uwUlGRIjyGEgDDKIBNx87QFraNN4rwF+aaQ7Xz3VyaCzGw8cM/HV4TD
 +PLlV8yPi1ArYMYhyAXLAUD2ATSoazz7gKCKSA0Eiwnt7Qm8uu0oXt1+DL5H
 8H2Fwz0Z/Ozhgxg4UcS5ixuwbFljSeRG0z6am2wYgivOw+Xz1hRGRkeLtN7q
 iXZetnj6c0+83N/7vxZBZg7915evfe2qa+Z0t3TOA6wW/VdqVINXw9q5CaVD
 UxhBiBrlszMAJrzbM4oNj+zFu4fSJSymIbDsghZ84APTteoHAjc85OhSWFH/
 x5dBTCKK/ScM/OK5hgPHd+3qXrcZcsrQPtnq/+irN69pak5Mb2lr0gYHPiBz
 gDwelLgsAFnR7VbwyqhasZmzE/jzzyxFJu3geF8Otsloa40iEkUZSLDV1dtB
 ClWdqNZVVj1lBprrPbTUuy2q+9ybePPunwhda9+TBphQ2b9fuqwxBSOi35EZ
 wB8AyxPa4JAbrBCVS1bpsWKVSjsjlbQxf34dZnclEY0Z+qorwhhgaN0cH+aY
 +LySBAZYEZgYK85Op6wIf+XNtbDWTYHTmEr5H7z344tCoUhXW1tcf5SKgBzS
 4GUaTG4NgAQQjXu/xmcCMrgyr8eWsIoM1Mj9ys+XSeBSIDEakh6Stt/8QsOC
 iy67/D0QAMBwCkOf6u6ORAFLt7AqDZbDgCyrPdcEpk4CnKoEcowMDYbHrepk
 4DHu8/qzDAZJBvmMs2bkEkbU+lQxOrnYT0kAKXlz1+yICbBuWeVoBXi/7NFr
 rTSpyckIgHMlEeCSLS5FwXjAE4ipPs5jf0OahJmteUMpfDCagM2TCP6kBDz4
 1Vu67JARiccM3c6qoKNTuSDvq1dXKULfkELfoAQpVU0CTYwEniQlxmvBGCFE
 jP60wLERA4rGEcJlQjTXDKUItiDEw5L3Ns1d/NDa2lityfL/O3dd8f6z5oQA
 lmBV0Eqvstresiw5sy2vM+7bIHF4gFEX0++li0BXq8BnPhTCpQvNGqtEFeHP
 U+7b9wvcuyGG/f0GUhGCIYDRAjCjUeG21WlceXahKkJKOiAZIML0xkJoXy55
 acsJbDudMihsqCXNDYiDvGCo4ep6z2V7uvFV4ERW4D9vN1EXD+yp0ESPFoBH
 X1LIFgjXLDeq83kCAVQxDC53iM+8buLQAOM7n8ijMa6q0ilbAH6+M4SHX43h
 hqWZUqQwM4gISupUaIi7YSOUWHGi5TQiQOOTi1NJFXR0Qrs89vRFCF0hrziX
 ELIM7f5K02/W3jwm8CerBDyJcj1nrnZxleBrrP7FZ3lYfc5YulQeA5IRhY+u
 zMGXuuyJMQKIQEqLIMCIh32YQixI5GprwKQEkFKdibCn8YqAAMgAoAFAIWQa
 FUosqo0Q6+8LmaIiRzEJAVyzUoQtLgtblWBSKfdto0IDBABiMDFY6QiIWhKK
 RevpOkGWvorZtgsoBRZCj7FBFV1Z2ecyGzjWE8GmHSaEAaxewpg2x9cf5fGG
 paLc1UqF8ZWBCSBGX28Kz+yOAyyw6pwc2juOQ4iJQokg/0nq85g2gZjj0bbT
 iAAhBH/jjuVR29CDCAih11hgot2FwJ5dMdz0bxIHhnQ7O/9pgUdvtdG92EV1
 Q1AjAiZoAVdXCjDefLse1/+rjQPD2irPb47gv/+oAwu7D5fSYixSSBGUT1AS
 EIIRNgikjNDp+wBWiqSv6z35uhqMr/ekIF3g3o3AgSEG6tqB2cuxL7EM925K
 jbPEVGpWape/GuCZQYrx1Q1RHBhmIBwH2ruxL7II973UXE6FIKo4AE9SE8HM
 CComFY/Xbigm1QBhiKLvq0Q0wlWNjs728uq7BQOH0gqwI0DrHGD6QkAI9CgP
 4GM1LPvJtYArSPFdC4dGgyapda4+fyiKHkMAvL0cAYH4KZ+hPE2CIQCpBEyL
 ndOOAMPgjOsiUOjJTUwk5uC8VgswQ4AdBRJNQKIJSxq86tWmcVaZarS148CD
 CaGQg/OmmYBpA5EkUN8OtM3DkkZVpRWkCOQTpKsgPU2GEAyfDAgg3zpQuyOc
 qkl4eySDSX0+kwIzwTQV7rqxiNXT80DmOHDsDazxNuELl+wtA6XJOsNq4EwT
 bbMQhL+9YRirZykgPwIMHsLVxcfx2XO3l/9W6V15BOkRpKdTBwIouBaEUIez
 ydNMgYLLb4yM4ppyT44J4qcrgMC0jgye/JLAQOYFGOZLaE6oipAXk/TugXWt
 mQbV/qC1dQRP3DWEgUwPDPEYmmNuVTdJRCBJ8B0FWdThLwzAMIFcwQbD3L1l
 c+0ImJSAYwNuove4zSvYEyV/U/IAXL7RWUFES1IEFy1ONmWa2NSMhf4U/qA1
 ocfmlaHPisCSoBwFv6jgOQRWDNMCTAvoH43xQFq9uw6nGQEjReeqweGoYGII
 gypAQwMUleZHVOwA8/gJbq1Bxvi53jgCMM4bcKUBqkgbJihJ8ByCVyBIV/sG
 wxIwLeBELiaODjvnTDZWqqkBt1w+Y7llGK0tjSb6ToiJAjYhj1W1sI1vi2n8
 sXHnIHWSeQJPEGNm7fiUT5BFCS+v4BYUlGQIoVc/79sImQYclz5w3XXTY6dM
 QDRi3rbm4sbognkxvNMTmVy8qIbCTwW05rxgqp1rks4chL6voFwFN09wsgrS
 0RbYsAErDBwerMO0BOHSRVEjlrNuOiUC1q2DISVuuHh5vXlWVww9R21IyTWM
 jJp0/sek4HlyitmgOoVj5T1XUPB9VbHyBCIF6Sl4BQUnK/Xq+wTDBOyw3nsG
 6tCeUlg+NxRNRq0/PiUN2Lul8/y2Joub620AwJyZYbx1MIxF84uTCmCp+Qny
 XUCgUJTYvjsH12fMnxFDS2MI0YhR3QtMYo2zeYkTIz4OHHEQjwp0tdtINJkl
 8KwI5BH8ooKTVShmFbwiQzBghQVCUaAvnUBdjBGxAQMePI8uWnthZ/Shrb3F
 KQmwLXPthUvqSvmy/NwUHn7MwcI5eRhmufxpwEbwiCoRBATq4wYuPi+F3uMu
 nnppCHv25VF0FFIJC+GwEdwuK+uS5xFcn5HJKcQiBpZ1x3D50jg6W62gygQp
 QQTyFXxHwslKOGkJLx8ofwgIRwE7Buw+0Ib3TdNegCRhZXdYbXmdVgPYMCUB
 pmWsPf99qdL7qaSJ2TOi2PVOHEu78+MUn6tfV5Ght85WG5/4YCuYgSPHXew9
 VMDAkI+RrITnE5iBaMRAQ9LE9GYb8zpD6GixdadXOTdkDVJ5CtKVcDMKxbRe
 fd9lmKY2ouE4cGS4DsmIQCJULv3L5kdi2/d7t0xJwNpLZ3UZQHNXZ7SKlAuX
 1WH9ow7mdeaRjCuICaWvwhzxuJuXFbZpZpuFmW2pKSa+Y++r4K2K0bnS5c4v
 6pUvphWctIJf1JY3FBGIJgC2TezpbcMFM+TYcAqRZASzO5pBv0xfM6UICkEr
 z5kXl2KcjwmHBFYsSeDxrU0gxYENVhN9/QQxU1OMzCcXvSpbHOS88hX8vIST
 kSiMKhRGFdxC8OOKsEA4AYQTAlv3dWJWHcEORpGJliQ6Fk1Ha3MYoZBhf2RV
 16xJCYhGrIu658SSY6+Vr5Dpz+DoG8eQ6xvmI32+en5XQpUuNOgHJkx4SdX2
 CVOUQZ7QD5BWe6kgXR9eXqKQlsiPSBRGdOlj0uCjCSCWBPb2N9GxUVu1tVgI
 RW1M656GaQvaIAwNs6szTKRo6aQpELKwoLXeEun+NPKDeRSzDoZ9m9c/n3NG
 C3gBlnlnIpFYX5+QXYvn5+2yKxRl9zcW/lwartSwwZjy5geTflRSQbkMryjh
 ZAnFUf3oOfq4FRaIJIFoCjiaT6q9fc29b75b/Ksdh9y7GxJm+41rZHJlI8MM
 brtPb4lE9ryVmz0pAQwRSjpZDB1WOJIz1fotru9J5zHHl+vWP9O7GwCW3L7k
 4pf2NOwKmTTt7K68MUEDUD0yYz7JTc0K8ExcMjnK4yqT4+QIbo7guwQhdJ2P
 pDT4QTfBLx/oSIeUv+pfNh7sEcDDf3h551X/8dO+v//ho/3d11/ZErtoaZ2w
 LcOAEKFJCfCUevDuh7MXCANFQfxj1xf//MDmQ4cqTdLzzw7Pa05ZG6Rq+NN8
 0cDys9NVHqDq+cnvveubTmP1naDHWR5BFgluQYN2cgTfISifIUwgFBGIxDX4
 d9P1eKVnmny717nvRKaY+WTA7PrNvY8DePyW93eu+MkTx79w/y/61wgBsCGe
 mvL3AbXMwkevnpcSnn+HYYi/bG60xYXn1cUXzk9YO1/LoTGVxeWLB2BZXDUN
 LvdDYsLCM7MuoqQHmbpVIJDH8F3d1HjFoLkpMnyXAaFLnRUFogkBOyrw5kAb
 jmWbMWN2FDvezOVe25uzLEvsLLr0N+s3Hd50KtimXKp162D0vNh1FzHduXxh
 Stx4VWusoy1cOi4lY9OLo+gfyOPKJX1obnDBJKoHvzXuZTJxuYBIgpQM6TKk
 o4cZfoHguXq8xQQIg2GFgFAEiCQAV4SwrWcWUk1JrLqkCZGwCQhAKsbWXWl+
 5In+wmiODxY9uvWBTYdffE+/ELl+dUdTnW1v6GyLLLr9Y53x1qZJB6vYu7+I
 LdtGMa89g+ULBhEWCkQ6tAWJUk9DxNrMKX3zUklABXdypRfsPoN9BgUTeMNm
 ne8xQIQMvHOiBQcHm3HBsnos7E4AQgQZx8iPFJDpyyA/XIBjhvGdJ7PFbJHv
 +eGTh740WTssJlv5d7fPeX71yobzb7m21TZOIacdl7D1lTTeOVDAgo4RLJwx
 goglQSoAWeqKOVh5hpIM5QMqeE3EJfkwLcCyATvMINPE4ZEGvN3fgtmzoli5
 vAEhC5C+hJN2UMwW4aQdkKoe+himgY1vsPPKQe+bP3i85/OnTMCHL5u59uy5
 8e998bau5Kn/jhAQYGQyPna8lsH+njzakg5mtoygLVWEAQVWgJJlsKTG2nwu
 3VY0TT3KYtPAUD6KI6MNOJ5JoqsriqXn1qGuztal9RR11nEJn7tnX3Yo7V75
 wLO9206JgFsum3GJYYlNiah1Wv9BIZA/WAAMA6IualqtdYYZtoQZt31uiBdF
 Q9xDLOTDMhQsQTAAeGxAkYGCb2OkEMZwLso5NyRcRep4BjJdkFKSFll+D78H
 LjjK9n38wYNbDj92yhrw8d+f26rIT5zul9nEQphs1JlkMCk7wWTFwhSK1qe6
 7bA4J2Rbc0IW5oCRgCEiAAQTF9kQOd/HAdfj/Z4nXz866L0hDXbyvuCiEmQa
 4r1g13dFBDsPPHXkWK1j/wMnl7nfSaRo9gAAAABJRU5ErkJggg==
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	qmake

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	qmake && $(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/blok.
	$(MAKE) DESTDIR="$(CURDIR)"/debian/blok install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
